ubuntu-distro-info should include information about ESM status

Bug #1808038 reported by Dan Watkins on 2018-12-11
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
distro-info (Ubuntu)
Medium
Brian Murray
Trusty
Undecided
Unassigned
Xenial
Undecided
Unassigned
Bionic
Undecided
Unassigned
Cosmic
Undecided
Unassigned
distro-info-data (Ubuntu)
Medium
Brian Murray
Trusty
Undecided
Unassigned
Xenial
Undecided
Unassigned
Bionic
Undecided
Unassigned
Cosmic
Undecided
Unassigned

Bug Description

[Impact]

ubuntu-distro-info is an important source of information about the current support state of the various Ubuntu releases. Currently, however, it provides no information about the status of Extended Security Maintenance for Ubuntu releases, which is an important aspect of Ubuntu "support".

[Test Case]

1. Run ubuntu-distro-info --help and observer there is no mention of ESM

With the version from -proposed there will be a switch to filter on ESM supported releases e.g. 'ubuntu-distro-info --supported-esm' and it'll be possible to show the number of days until the end of ESM ('ubuntu-distro-info --days=eol-esm --supported-esm -f). So the test case is really to make sure that those new filters work.

[Regression Potential]

If the relationship between the packages isn't right then they will not be upgraded together and we could end up in a situation where distro-info is unusable because it doesn't recognize the number of columns in ubuntu.csv. So try and only upgrade distro-info-data and if that works then there will be a regression which is bad!

[Other Info]

If we already had concrete ESM information in this package, it could have served to clear up the recent confusion about bionic's "10 years of support".

Dan Watkins (daniel-thewatkins) wrote :

From the cloud image publication, we currently use distro-info-data to determine whether a particular image is valid for a variety of reasons; we currently have to perform manual steps for precise. When looking at automating this, it became apparent to me that we won't be the only Ubuntu (developers|users) who might want this data available in a machine-readable format, hence the bug.

Dimitri John Ledkov (xnox) wrote :

When ESM is enabled and the ESM archive is accessible - that location should be publishing Supported: field imho. And that field should be updated to match the ESM reality.

Cause it was my understanding that current ESM is a subset of regular LTS support. At least for precise, it is my understanding that the scope of supported architectures and packages is different.

I'm not sure where/how the look-aside information w.r.t. ESM can be published for those that do not have ESM enabled.

Dan Watkins (daniel-thewatkins) wrote :

For clarity, I absolutely agree that this is a different type of support, and therefore would need to be a distinct field in the data (and perhaps would need to be just a boolean, as I don't believe Canonical has committed to a particular timeframe for ESM for precise, trusty or xenial?). It would also need to be exposed differently via `ubuntu-distro-info`.

Requiring access to the ESM archives to find out this information would be (a) annoying from an implementation point of view, as no other image/release-level support status information currently requires any interaction with the archives, and (b) leads to a chicken/egg problem (for example, if someone wants to write software which checks if ESM is available for their system before it gets configured).

tags: added: id-5c10233f7a6541146c871378
Changed in distro-info (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
assignee: nobody → Brian Murray (brian-murray)
Changed in distro-info-data (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
assignee: nobody → Brian Murray (brian-murray)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package distro-info - 0.21ubuntu1

---------------
distro-info (0.21ubuntu1) disco; urgency=medium

  * Provide support for the milestone eol-esm and add filters for
    supported-esm to ubuntu-distro-info along with the python and perl
    modules. (LP: #1808038)

 -- Brian Murray <email address hidden> Wed, 27 Feb 2019 12:49:49 -0800

Changed in distro-info (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package distro-info-data - 0.39ubuntu1

---------------
distro-info-data (0.39ubuntu1) disco; urgency=medium

  * Add in eol-server and eol-esm dates for all Ubuntu LTS releases.
    (LP: #1814976, #1808038)

 -- Brian Murray <email address hidden> Mon, 11 Feb 2019 14:01:01 -0800

Changed in distro-info-data (Ubuntu):
status: In Progress → Fix Released
description: updated

Hello Dan, or anyone else affected,

Accepted distro-info-data into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/distro-info-data/0.38ubuntu0.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in distro-info-data (Ubuntu Cosmic):
status: New → Fix Committed
tags: added: verification-needed verification-needed-cosmic
Changed in distro-info (Ubuntu Cosmic):
status: New → Fix Committed
Timo Aaltonen (tjaalton) wrote :

Hello Dan, or anyone else affected,

Accepted distro-info into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/distro-info/0.18ubuntu0.18.10.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in distro-info (Ubuntu Bionic):
status: New → Fix Committed
tags: added: verification-needed-bionic
Timo Aaltonen (tjaalton) wrote :

Hello Dan, or anyone else affected,

Accepted distro-info into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/distro-info/0.18ubuntu0.18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in distro-info-data (Ubuntu Bionic):
status: New → Fix Committed
Timo Aaltonen (tjaalton) wrote :

Hello Dan, or anyone else affected,

Accepted distro-info-data into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/distro-info-data/0.37ubuntu0.3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Timo Aaltonen (tjaalton) wrote :

Hello Dan, or anyone else affected,

Accepted distro-info into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/distro-info/0.14ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in distro-info (Ubuntu Xenial):
status: New → Fix Committed
tags: added: verification-needed-xenial
Changed in distro-info-data (Ubuntu Xenial):
status: New → Fix Committed
Timo Aaltonen (tjaalton) wrote :

Hello Dan, or anyone else affected,

Accepted distro-info-data into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/distro-info-data/0.28ubuntu0.10 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in distro-info (Ubuntu Trusty):
status: New → Fix Committed
tags: added: verification-needed-trusty
Timo Aaltonen (tjaalton) wrote :

Hello Dan, or anyone else affected,

Accepted distro-info into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/distro-info/0.12ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-trusty to verification-done-trusty. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-trusty. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in distro-info-data (Ubuntu Trusty):
status: New → Fix Committed
Timo Aaltonen (tjaalton) wrote :

Hello Dan, or anyone else affected,

Accepted distro-info-data into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/distro-info-data/0.18ubuntu0.11 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-trusty to verification-done-trusty. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-trusty. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Steve Langasek (vorlon) wrote :

Hello Dan, or anyone else affected,

Accepted distro-info into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/distro-info/0.18ubuntu0.18.10.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Steve Langasek (vorlon) wrote :

Hello Dan, or anyone else affected,

Accepted distro-info into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/distro-info/0.12ubuntu0.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-trusty to verification-done-trusty. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-trusty. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

description: updated
Brian Murray (brian-murray) wrote :

Ubuntu 18.04 verification done:

 $ apt-cache policy distro-info
distro-info:
  Installed: 0.18ubuntu0.18.04.1
  Candidate: 0.18ubuntu0.18.04.1
  Version table:
 *** 0.18ubuntu0.18.04.1 500
        500 http://archive.ubuntu.com/ubuntu bionic-proposed/main amd64 Packages
        100 /var/lib/dpkg/status
     0.18 500
        500 http://192.168.10.7/ubuntu bionic/main amd64 Packages
[ 4:19PM 4911 ] [ bdmurray@bizarro:~/config-files ]
 $ ubuntu-distro-info --help
Usage: ubuntu-distro-info [options]

Options:
  -h --help show this help message and exit
      --date=DATE date for calculating the version (default: today)
      --series=SERIES series to calculate the version for
  -y[MILESTONE] additionally, display days until milestone
      --days=[MILESTONE] (created, release, eol, eol-server, eol-esm)
  -a --all list all known versions
  -d --devel latest development version
      --lts latest long term support (LTS) version
  -s --stable latest stable version
      --supported list of all supported stable versions
      --supported-esm list of all Ubuntu Advantage supported stable versions
      --unsupported list of all unsupported stable versions
  -c --codename print the codename (default)
  -f --fullname print the full name
  -r --release print the release version

 $ ubuntu-distro-info --supported -r --days=eol-server -f
Ubuntu 14.04 LTS "Trusty Tahr" 35
Ubuntu 16.04 LTS "Xenial Xerus" 770
Ubuntu 18.04 LTS "Bionic Beaver" 1505
Ubuntu 18.10 "Cosmic Cuttlefish" (unknown)
Ubuntu 19.04 "Disco Dingo" (unknown)

tags: added: verification-done-bionic
removed: verification-needed-bionic
Brian Murray (brian-murray) wrote :

The Ubuntu 18.10 verification is done and good too.

bdmurray@clean-cosmic-amd64:~$ ubuntu-distro-info --supported -r --days=eol-server
14.04 LTS 34
16.04 LTS 769
18.04 LTS 1504
18.10 (unknown)
19.04 (unknown)
bdmurray@clean-cosmic-amd64:~$ apt-cache policy distro-info
distro-info:
  Installed: 0.18ubuntu0.18.10.2
  Candidate: 0.18ubuntu0.18.10.2
  Version table:
 *** 0.18ubuntu0.18.10.2 500
        500 http://192.168.10.7/ubuntu cosmic-proposed/main amd64 Packages
        100 /var/lib/dpkg/status
     0.18 500
        500 http://192.168.10.7/ubuntu cosmic/main amd64 Packages
bdmurray@clean-cosmic-amd64:~$ ubuntu-distro-info --help
Usage: ubuntu-distro-info [options]

Options:
  -h --help show this help message and exit
      --date=DATE date for calculating the version (default: today)
      --series=SERIES series to calculate the version for
  -y[MILESTONE] additionally, display days until milestone
      --days=[MILESTONE] (created, release, eol, eol-server, eol-esm)
  -a --all list all known versions
  -d --devel latest development version
      --lts latest long term support (LTS) version
  -s --stable latest stable version
      --supported list of all supported stable versions
      --supported-esm list of all Ubuntu Advantage supported stable versions
      --unsupported list of all unsupported stable versions
  -c --codename print the codename (default)
  -f --fullname print the full name
  -r --release print the release version

See ubuntu-distro-info(1) for more info.
bdmurray@clean-cosmic-amd64:~$ ubuntu-distro-info --supported -r --days=eol-server -f
Ubuntu 14.04 LTS "Trusty Tahr" 34
Ubuntu 16.04 LTS "Xenial Xerus" 769
Ubuntu 18.04 LTS "Bionic Beaver" 1504
Ubuntu 18.10 "Cosmic Cuttlefish" (unknown)
Ubuntu 19.04 "Disco Dingo" (unknown)

tags: added: verification-done-cosmic
removed: verification-needed-cosmic
Brian Murray (brian-murray) wrote :

Verification done and passed for Ubuntu 16.04.

bdmurray@clean-xenial-amd64:~$ apt-cache policy distro-info
distro-info:
  Installed: 0.14ubuntu0.1
  Candidate: 0.14ubuntu0.1
  Version table:
 *** 0.14ubuntu0.1 500
        500 http://ubuntu.osuosl.org/ubuntu xenial-proposed/main amd64 Packages
        100 /var/lib/dpkg/status
     0.14build1 500
        500 http://ubuntu.osuosl.org/ubuntu xenial/main amd64 Packages
bdmurray@clean-xenial-amd64:~$ ubuntu-distro-info --help
Usage: ubuntu-distro-info [options]

Options:
  -h --help show this help message and exit
      --date=DATE date for calculating the version (default: today)
      --series=SERIES series to calculate the version for
  -y[MILESTONE] additionally, display days until milestone
      --days=[MILESTONE] (created, release, eol, eol-server, eol-esm)
  -a --all list all known versions
  -d --devel latest development version
      --lts latest long term support (LTS) version
  -s --stable latest stable version
      --supported list of all supported stable versions
      --supported-esm list of all Ubuntu Advantage supported stable versions
      --unsupported list of all unsupported stable versions
  -c --codename print the codename (default)
  -f --fullname print the full name
  -r --release print the release version

See ubuntu-distro-info(1) for more info.
bdmurray@clean-xenial-amd64:~$ ubuntu-distro-info --supported -r --days=eol-server -f
Ubuntu 14.04 LTS "Trusty Tahr" 34
Ubuntu 16.04 LTS "Xenial Xerus" 769
Ubuntu 18.04 LTS "Bionic Beaver" 1504
Ubuntu 18.10 "Cosmic Cuttlefish" (unknown)
Ubuntu 19.04 "Disco Dingo" (unknown)

Brian Murray (brian-murray) wrote :

Verification for Ubuntu 14.04 has been completed and passed.

Setting up distro-info-data (0.18ubuntu0.11) ...
Setting up distro-info (0.12ubuntu0.2) ...
bdmurray@clean-trusty-amd64:~$ apt-cache policy distro-info
distro-info:
  Installed: 0.12ubuntu0.2
  Candidate: 0.12ubuntu0.2
  Version table:
 *** 0.12ubuntu0.2 0
        500 http://ubuntu.osuosl.org/ubuntu/ trusty-proposed/main amd64 Packages
        100 /var/lib/dpkg/status
     0.12 0
        500 http://ubuntu.osuosl.org/ubuntu/ trusty/main amd64 Packages
bdmurray@clean-trusty-amd64:~$ ubuntu-distro-info --help
Usage: ubuntu-distro-info [options]

Options:
  -h --help show this help message and exit
      --date=DATE date for calculating the version (default: today)
  -y[MILESTONE] additionally, display days until milestone
      --days=[MILESTONE] (created, release, eol, eol-server, eol-esm)
  -a --all list all known versions
  -d --devel latest development version
      --lts latest long term support (LTS) version
  -s --stable latest stable version
      --supported list of all supported stable versions
      --supported-esm list of all Ubuntu Advantage supported stable versions
      --unsupported list of all unsupported stable versions
  -c --codename print the codename (default)
  -f --fullname print the full name
  -r --release print the release version

See ubuntu-distro-info(1) for more info.
bdmurray@clean-trusty-amd64:~$ ubuntu-distro-info --supported -r --days=eol-server -f
Ubuntu 14.04 LTS "Trusty Tahr" 34
Ubuntu 16.04 LTS "Xenial Xerus" 769
Ubuntu 18.04 LTS "Bionic Beaver" 1504
Ubuntu 18.10 "Cosmic Cuttlefish" (unknown)
Ubuntu 19.04 "Disco Dingo" (unknown)

tags: added: verification-done-trusty verification-done-xenial
removed: verification-needed-trusty verification-needed-xenial
tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package distro-info - 0.18ubuntu0.18.10.2

---------------
distro-info (0.18ubuntu0.18.10.2) cosmic; urgency=medium

  * Properly version the depends on distro-info-data.

distro-info (0.18ubuntu0.18.10.1) cosmic; urgency=medium

  * Provide support for the milestone eol-esm and add filters for
    supported-esm to ubuntu-distro-info along with the python and perl
    modules. (LP: #1808038)

 -- Brian Murray <email address hidden> Fri, 08 Mar 2019 09:17:59 -0800

Changed in distro-info (Ubuntu Cosmic):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for distro-info has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package distro-info-data - 0.38ubuntu0.2

---------------
distro-info-data (0.38ubuntu0.2) cosmic; urgency=medium

  * Add in eol-server and eol-esm dates for all Ubuntu LTS releases.
    (LP: #1814976, #1808038)

 -- Brian Murray <email address hidden> Wed, 06 Mar 2019 15:42:06 -0800

Changed in distro-info-data (Ubuntu Cosmic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package distro-info - 0.18ubuntu0.18.04.1

---------------
distro-info (0.18ubuntu0.18.04.1) bionic; urgency=medium

  * Provide support for the milestone eol-esm and add filters for
    supported-esm to ubuntu-distro-info along with the python and perl
    modules. (LP: #1808038)

 -- Brian Murray <email address hidden> Thu, 07 Mar 2019 11:34:01 -0800

Changed in distro-info (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package distro-info-data - 0.37ubuntu0.3

---------------
distro-info-data (0.37ubuntu0.3) bionic; urgency=medium

  * Add in eol-server and eol-esm dates for all Ubuntu LTS releases.
    (LP: #1814976, #1808038)

 -- Brian Murray <email address hidden> Thu, 07 Mar 2019 11:29:06 -0800

Changed in distro-info-data (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package distro-info - 0.14ubuntu0.1

---------------
distro-info (0.14ubuntu0.1) xenial; urgency=medium

  * Provide support for the milestone eol-esm and add filters for
    supported-esm to ubuntu-distro-info along with the python and perl
    modules. (LP: #1808038)

 -- Brian Murray <email address hidden> Thu, 07 Mar 2019 11:56:49 -0800

Changed in distro-info (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package distro-info-data - 0.28ubuntu0.10

---------------
distro-info-data (0.28ubuntu0.10) xenial; urgency=medium

  * Add in eol-server and eol-esm dates for all Ubuntu LTS releases.
    (LP: #1814976, #1808038)

 -- Brian Murray <email address hidden> Thu, 07 Mar 2019 11:48:23 -0800

Changed in distro-info-data (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package distro-info - 0.12ubuntu0.2

---------------
distro-info (0.12ubuntu0.2) trusty; urgency=medium

  * Properly version the depends on distro-info-data.

distro-info (0.12ubuntu0.1) trusty; urgency=medium

  * Provide support for the milestone eol-esm and add filters for
    supported-esm to ubuntu-distro-info along with the python and perl
    modules. (LP: #1808038)

 -- Brian Murray <email address hidden> Fri, 08 Mar 2019 09:26:22 -0800

Changed in distro-info (Ubuntu Trusty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package distro-info-data - 0.18ubuntu0.11

---------------
distro-info-data (0.18ubuntu0.11) trusty; urgency=medium

  * Add in eol-server and eol-esm dates for all Ubuntu LTS releases.
    (LP: #1814976, #1808038)

 -- Brian Murray <email address hidden> Thu, 07 Mar 2019 12:50:20 -0800

Changed in distro-info-data (Ubuntu Trusty):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers